;                      Configure the 2000F I/O Processor.
;
;
; This include file configures the I/O card cage in the I/O Processor to
; contain the necessary device interfaces in the proper select code slots.  It
; is invoked by the "iopload.inc" and "iopdump.inc" command files, as follows:
;
;    do iopconfig.inc <cpu-model>
;
; ...where <cpu-model> is the specific CPU model to simulate (2100 or 21MX).
; This file is never invoked directly by the user.
;
; These device assignments are listed in the "Time-Shared BASIC/2000, Level F
; System Operator's Manual" (HP part number 02000-90074, November 1974):
;
;   Select
;    Code   Device
;   ------  -------------------------------------------------
;   10-11   12875A Processor Interconnect
;     12    12539C Time Base Generator Interface
;   13-14   12920A Asynchronous Multiplexer Data Interface
;     15    12920A Asynchronous Multiplexer Control Interface
;     16    12653A Line Printer Interface


; Configure the I/O Processor CPU.

set CPU %1,8K


; Configure the I/O card cage.
;
; Enable and assign the select codes of the required devices.

set IPL  SC=10,ENABLED
set TBG  SC=12,ENABLED
set MUX  SC=13,ENABLED
set MUXM SC=15,ENABLED
set LPS  SC=16,ENABLED


; Disable the devices that will not be used with this system.
;
; The TTY cannot be disabled, so it is moved out of the way.

set TTY  SC=77

set BACI DISABLED
set DA   DISABLED
set DPD  DISABLED
set DQD  DISABLED
set DRD  DISABLED
set DS   DISABLED
set LPT  DISABLED
set MPX  DISABLED
set MTD  DISABLED
set MSD  DISABLED
set PIF  DISABLED
set PTR  DISABLED
set PTP  DISABLED
